/*
 * MoGraSo: A programme for the calculation of the response of fibre grating
 * elements using modal methods.
 *
 * MoGraSo Copyright (C) 2007 Hannes Hochreiner <hannes@hochreiner.net>
 *
 * This file is part of MoGraSo.
 *
 * MoGraSo is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * MoGraSo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * MoGraSo.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
#ifndef _LAYERSTANDIN_H
#define _LAYERSTANDIN_H

#include "layer.h"
#include "stringFunctions.h"

class layerStandIn
{
	private:
		std::wstring f_type;
		std::vector<std::wstring> f_varsOrig;
		std::map<std::wstring, std::wstring> f_varsRen;
		std::map<std::wstring, std::complex<double> > f_varsSet;

	public:
		layerStandIn(const std::wstring& type);
		layerStandIn(const layerStandIn& layerSI);
		std::wstring get_varString(const std::wstring& var) const;
		void set_varString(const std::wstring& varName, const std::wstring& varValue);
		void rename_var(const std::wstring& varName, const std::wstring& varValue);
		void set_var(const std::wstring& varName, const std::complex<double>& varValue);
		std::wstring get_rString() const;
		std::wstring get_type() const;
		std::vector<std::wstring> get_varsOrig() const;
		layer get_layer() const;

	private:
		layerStandIn();
};

#endif

