/*
 * MoGraSo: A programme for the calculation of the response of fibre grating
 * elements using modal methods.
 *
 * MoGraSo Copyright (C) 2007 Hannes Hochreiner <hannes@hochreiner.net>
 *
 * This file is part of MoGraSo.
 *
 * MoGraSo is free software: you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * MoGraSo is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * MoGraSo.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
#include "numberFunctions.h"

int intValue(const double& op)
{
	return static_cast<int>(op);
}

double doubleValue(const double& op)
{
	return op;
}

std::complex<double> doubleValue(const std::complex<double>& op)
{
	return op;
}

int intValue(const long double& op)
{
	return static_cast<int>(op);
}

double doubleValue(const long double& op)
{
	return static_cast<double>(op);
}

std::complex<double> doubleValue(const std::complex<long double>& op)
{
	return std::complex<double>(static_cast<double>(std::real(op)), static_cast<double>(std::imag(op)));
}

